[API Reference](../README.md) > [NewDaoVotingMachineConfig](../interfaces/NewDaoVotingMachineConfig.md)

# Interface: NewDaoVotingMachineConfig

## Hierarchy

**NewDaoVotingMachineConfig**

## Indexable

\[x: `string`\]:&nbsp;`any`
You can add your voting-machine-specific parameters here, like ownerVote, votePerc, etc

## Index

### Properties

* [votingMachineAddress](NewDaoVotingMachineConfig.md#votingMachineAddress)
* [votingMachineName](NewDaoVotingMachineConfig.md#votingMachineName)

---

## Properties

<a id="votingMachineAddress"></a>

### `<Optional>` votingMachineAddress

**● votingMachineAddress**: *`string`*

*Defined in [wrappers/daoCreator.ts:540](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L540)*

Optional VotingMachine address Default is that of AbsoluteVote

___
<a id="votingMachineName"></a>

### `<Optional>` votingMachineName

**● votingMachineName**: *`string`*

*Defined in [wrappers/daoCreator.ts:535](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/daoCreator.ts#L535)*

Optional VotingMachine name Default is AbsoluteVote

___

